package cn.ibizlab.demoapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.util.domain.DTOBase;
import cn.ibizlab.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[IBIZAPPEDITORDTO]
 */
@Data
public class IBIZAPPEDITORDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [IBIZAPPEDITORNAME]
     *
     */
    @JSONField(name = "ibizappeditorname")
    @JsonProperty("ibizappeditorname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ibizappeditorname;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [IBIZAPPEDITORID]
     *
     */
    @JSONField(name = "ibizappeditorid")
    @JsonProperty("ibizappeditorid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ibizappeditorid;

    /**
     * 属性 [IBIZAPPEDITORTYPE]
     *
     */
    @JSONField(name = "ibizappeditortype")
    @JsonProperty("ibizappeditortype")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ibizappeditortype;

    /**
     * 属性 [RDITORDESCRIPTION]
     *
     */
    @JSONField(name = "rditordescription")
    @JsonProperty("rditordescription")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String rditordescription;

    /**
     * 属性 [DOCUMENTADDRESS]
     *
     */
    @JSONField(name = "documentaddress")
    @JsonProperty("documentaddress")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String documentaddress;

    /**
     * 属性 [AMOUNT]
     *
     */
    @JSONField(name = "amount")
    @JsonProperty("amount")
    private Integer amount;

    /**
     * 属性 [ISEXTENDEDITOR]
     *
     */
    @JSONField(name = "isextendeditor")
    @JsonProperty("isextendeditor")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String isextendeditor;


    /**
     * 设置 [IBIZAPPEDITORNAME]
     */
    public void setIbizappeditorname(String  ibizappeditorname){
        this.ibizappeditorname = ibizappeditorname ;
        this.modify("ibizappeditorname",ibizappeditorname);
    }

    /**
     * 设置 [IBIZAPPEDITORTYPE]
     */
    public void setIbizappeditortype(String  ibizappeditortype){
        this.ibizappeditortype = ibizappeditortype ;
        this.modify("ibizappeditortype",ibizappeditortype);
    }

    /**
     * 设置 [RDITORDESCRIPTION]
     */
    public void setRditordescription(String  rditordescription){
        this.rditordescription = rditordescription ;
        this.modify("rditordescription",rditordescription);
    }

    /**
     * 设置 [DOCUMENTADDRESS]
     */
    public void setDocumentaddress(String  documentaddress){
        this.documentaddress = documentaddress ;
        this.modify("documentaddress",documentaddress);
    }

    /**
     * 设置 [AMOUNT]
     */
    public void setAmount(Integer  amount){
        this.amount = amount ;
        this.modify("amount",amount);
    }

    /**
     * 设置 [ISEXTENDEDITOR]
     */
    public void setIsextendeditor(String  isextendeditor){
        this.isextendeditor = isextendeditor ;
        this.modify("isextendeditor",isextendeditor);
    }


}


